From 3b7313fe0d80bac66adb606fed07d9242712f35c Mon Sep 17 00:00:00 2001
From: "Paul A. Jungwirth" <pj@illuminatedcomputing.com>
Date: Thu, 15 May 2025 10:33:04 -0400
Subject: [PATCH v2 3/3] Improve comment about snapshot macros

The comment mistakenly had "the others" for "the other", but this
commit also reorders the comment so it matches the macros below. Now we
describe the levels in increasing strictness. Finally, it seems easier
to follow if we introduce one level at a time, rather than describing
two, followed by "the other" (and then jumping back to one of the first
two).
---
 src/include/access/xact.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/include/access/xact.h b/src/include/access/xact.h
index b2bc10ee041..fdcff3411ad 100644
--- a/src/include/access/xact.h
+++ b/src/include/access/xact.h
@@ -43,8 +43,8 @@ extern PGDLLIMPORT int XactIsoLevel;
 
 /*
  * We implement three isolation levels internally.
- * The two stronger ones use one snapshot per database transaction;
- * the others use one snapshot per statement.
+ * The weakest uses one snapshot per statement;
+ * the two stronger levels use one snapshot per database transaction.
  * Serializable uses predicate locks in addition to snapshots.
  * These macros should be used to check which isolation level is selected.
  */
-- 
2.39.5

